Package com.avaya.clientservices.call.feature

## Enum FeatureMode

- java.lang.Object
- - java.lang.Enum<FeatureMode>
  - - com.avaya.clientservices.call.feature.FeatureMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FeatureMode>`

      public enum FeatureMode
      extends java.lang.Enum<FeatureMode>

  The feature mode values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PERMANENT` | The button state will be retained until changed by the user.
    `TRANSIENT` | The button state will be retained on per call basis.
    `UNDEFINED` | Uninitialized (or unknown) feature mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FeatureMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FeatureMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final FeatureMode UNDEFINED

      Uninitialized (or unknown) feature mode.

    - #### TRANSIENT

          public static final FeatureMode TRANSIENT

      The button state will be retained on per call basis.

    - #### PERMANENT

          public static final FeatureMode PERMANENT

      The button state will be retained until changed by the user.

  - ### Method Detail

    - #### values

          public static FeatureMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureMode c : FeatureMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null